/**
 * Copyright (C) 2010-2012 Agrosense info@agrosense.eu
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.model;

import java.io.Serializable;
import java.util.HashSet;
import java.util.Set;
import nl.cloudfarming.client.field.model.Field;


/**
 * @author I. de Vries
 */
public class SensorRun extends SensorBean implements Serializable {
    
    private Field field;
    
    private Set<SensorData> sensorData = new HashSet<SensorData>();
    
    private Double averageNdvi;
    private Double averageWdvi;   
   
    protected SensorRun() {
    }


    public Set<nl.cloudfarming.client.model.SensorData> getSensorData() {
        return sensorData;
    }

    public Field getField() {
        return field;
    }

    public void setField(Field field) {
        this.field = field;
    }
        
    public Double getAverageNdvi() {
        return averageNdvi;
    }

    public void setAverageNdvi(Double averageNdvi) {
        this.averageNdvi = averageNdvi;
    }

    public Double getAverageWdvi() {
        return averageWdvi;
    }

    public void setAverageWdvi(Double averageWdvi) {
        this.averageWdvi = averageWdvi;
    }

    @Override
    public boolean equals(Object obj) {
        if(!super.equals(obj)){
            return false;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final SensorRun other = (SensorRun) obj;

        if (this.field != other.field && (this.field == null || !this.field.equals(other.field))) {
            return false;
        }
        if (this.averageNdvi != other.averageNdvi && (this.averageNdvi == null || !this.averageNdvi.equals(other.averageNdvi))) {
            return false;
        }
        if (this.averageWdvi != other.averageWdvi && (this.averageWdvi == null || !this.averageWdvi.equals(other.averageWdvi))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = super.hashCode();
        hash = 31 * hash + (this.field != null ? this.field.hashCode() : 0);
        hash = 31 * hash + (this.averageNdvi != null ? this.averageNdvi.hashCode() : 0);
        hash = 31 * hash + (this.averageWdvi != null ? this.averageWdvi.hashCode() : 0);
        return hash;
    }

    
    
    
}
